Intron Connect
Partner inbound

Ingest a HubSpot native change-feed event

Private-app webhooks for contact.creation, contact.propertyChange, and contact.deletion. Secured by X-HubSpot-Signature-v3. No JWT required.

POST
/api/v1/webhooks/partners/{partnerId}/changes

Private-app webhooks for contact.creation, contact.propertyChange, and contact.deletion. Secured by X-HubSpot-Signature-v3. No JWT required.

Authorization

AuthorizationBearer <token>

OIDC Bearer JWT. Obtain via OAuth2 Authorization Code or client credentials.

In: header

Path Parameters

partnerId*string

Header Parameters

X-Partner-Signature?string
X-HubSpot-Signature-v3?string
X-HubSpot-Request-Timestamp?string
X-Correlation-Id?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*string

Response Body

application/json

curl -X POST "https://example.com/api/v1/webhooks/partners/string/changes" \  -H "Content-Type: application/json" \  -d 'string'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "partnerId": "string",  "eventType": "string",  "externalId": "string",  "correlationId": "string",  "status": "ACCEPTED",  "receivedAt": "2019-08-24T14:15:22Z"}